> For a complete page index, fetch https://developer.close.com/llms.txt

# Fetch an SMS template

GET https://api.close.com/api/v1/sms_template/{id}/

Reference: https://developer.close.com/api/resources/sms-templates/get

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `include_attachments` (boolean, optional, default: false) — Include file attachments in the response.
- `include_embedded` (boolean, optional, default: false) — Include embedded templates used by Workflows.

## Response

### 200

Successful response

## Examples

**Response**

```json
{
  "created_by": "user_ny9tGmxvGWUf5F7QqrnIovsPe5Mr2uBI4gRc8jJcYva",
  "date_created": "2022-09-26T15:08:03.153064",
  "date_updated": "2022-09-26T15:08:03.153064",
  "id": "smstmpl_3CilrqPkTo3zDSetUASKoP",
  "is_shared": false,
  "name": "Cold 1",
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "owned_by": "user_ny9tGmxvGWUf5F7QqrnIovsPe5Mr2uBI4gRc8jJcYva",
  "status": "active",
  "text": "Hey {{ contact.first_name }}, ever considered Close?",
  "updated_by": "user_ny9tGmxvGWUf5F7QqrnIovsPe5Mr2uBI4gRc8jJcYva"
}
```

**SDK Code**

```python sms_templates_get_example
import requests

url = "https://api.close.com/api/v1/sms_template/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript sms_templates_get_example
const url = 'https://api.close.com/api/v1/sms_template/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go sms_templates_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/sms_template/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby sms_templates_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/sms_template/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java sms_templates_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/sms_template/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php sms_templates_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/sms_template/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp sms_templates_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/sms_template/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```